class MaintenanceAction {

    TaskProcedure taskProcedure
    MaintenancePolicy maintenancePolicy
    SystemSection systemSection
    Asset asset
    AssetType assetType
    Assembly assembly
    SubAssembly subAssembly
    ComponentItem componentItem

    String description
    String reasoning = ""
    Integer procedureStepNumber
    boolean isActive = true

//     static hasMany = []

//     static belongsTo = []

    static constraints = {
        maintenancePolicy(nullable:true)
        systemSection(nullable:true)
        asset(nullable:true)
        assetType(nullable:true)
        assembly(nullable:true)
        subAssembly(nullable:true)
        componentItem(nullable:true)
        procedureStepNumber(nullable:true)
    }

    String toString() {
        "${this.description}"
    }
}

